/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#include "frmInitialConfWizard.h"

#include <dbsdglobal.h>
#include <dbsdkiconloader.h>
#include <translation.h>

#include <kapplication.h>
#include <kcmdlineargs.h>
#include <kaboutdata.h>

int main(int argc, char *argv[]) {
	KAboutData  about("dbsd-initialconf", "Initial Configuration Wizard",
							"", NULL, KAboutData::License_BSD);
	KCmdLineArgs::init(argc, argv, &about);
	KApplication::addCmdLineOptions();
	KApplication a;

	DBSDGlobal::setIconLoader(new DBSDKIconLoader);
	Translation::installInitialConfTranslator();
	
	frmInitialConfWizard w;
	w.show();
	a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()));
	return a.exec();
}

